Download it now!
Bug 107300 - Bibliography database - no CANCEL button
Summary: Bibliography database - no CANCEL button
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Bibliography
  Show dependency treegraph
 
Reported: 2017-04-20 15:45 UTC by Marco A.G.Pinto
Modified: 2019-07-12 02:51 UTC (History)
11 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marco A.G.Pinto 2017-04-20 15:45:24 UTC
Hello!

I was making some tests in it and I randomly wrote some characters in the title of a book there.

When I tried to cancel (I clicked in the close window gadget) it became part of the database.

There is a need for a CANCEL button.
Comment 1 Marco A.G.Pinto 2017-04-20 15:49:34 UTC
[16:49] <marcoagpinto> and 5.4 alpha seems to have a shorter default bibliography
Comment 2 Xisco Faulí 2017-04-20 18:32:19 UTC
Hello Marco,

Thank you for reporting the bug.
Unfortunately without clear steps to reproduce it, we cannot track down the origin of the problem.
Please provide a clearer set of step-by-step instructions on how to reproduce the problem.
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the steps are provided
Comment 3 Marco A.G.Pinto 2017-04-20 19:25:56 UTC
Xisco,

Select the bibliography database and click in the last book in the list.

Below the books, in the title field, add some characters.

Close the window clicking in the "x".

Go back to the database and the title of the book will have the extra stuff you typed.

There should be a cancel button to abort unwanted changes.
Comment 4 Buovjaga 2017-04-23 12:32:13 UTC
Found in Tools - Bibliography Database

Design team: what do you think? It really does get saved instantly and persists after closing LibO. Changing the behaviour now might be a shock to some users, though.. who knows.
Comment 5 Yousuf Philips (jay) (retired) 2017-06-24 21:48:15 UTC
As the fields in the lower part of the window simply make it easier to type in the fields of the row rather than typing them directly into the table grid, i'm not sure if there is a means to cancel the editing of the entire row of changes, but it does seem like a good idea to be able to cancel the full edit of changes to a row, but lets see if its possible.

UX-Team: Any thoughts?
Comment 6 Heiko Tietze 2017-06-24 21:51:12 UTC
I'm afraid that canceling this operation actually is an undo as, like Marco pointed out, every input is taken directly into the database. However, the user would understand cancel and implementing the clear-all-field 'undo' function could also be an easyhack.
Comment 7 QA Administrators 2018-06-25 02:42:09 UTC Comment hidden (obsolete)
Comment 8 Dennis Roczek 2018-07-11 16:37:10 UTC
still repro with latest fresh libreoffice.
Comment 9 QA Administrators 2019-07-12 02:51:45 UTC
Dear Marco A.G.Pinto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug